#
# THIS IS A SAMPLE CONFIGURATION FOR KANNEL
#
# For any modifications to this file, see Kannel User Guide 
# If that does not help, send email to users@kannel.org
#
include = "/etc/modems.conf"

group = core
admin-port = 13000
admin-password = pwd
status-password = pwd
#admin-deny-ip = ""
#admin-allow-ip = ""
log-file = "/tmp/kannel.log"
log-level = 0
access-log = "/var/log/kannel/access.log"
smsbox-port = 13001
wapbox-port = 13002
wdp-interface-name = "*"
store-file = "/var/log/kannel/kannel.store"
http-proxy-host = "10.10.2.175"
http-proxy-port = 8081
#http-proxy-exceptions = "127.0.0.1"
#http-proxy-username = "user"
#http-proxy-password = "password"
#ssl-certkey-file = "mycertandprivkeyfile.pem"


# Smsbox related
#smsbox-port = 13001
#box-deny-ip = "*.*.*.*"
#box-allow-ip = "127.0.0.1"
#unified-prefix = "00358,0"
#white-list = "http://127.0.0.1/white-list.txt"
#black-list = "http:/7.0.0.1/black-list.txt"
#store-file = "kannel.store"

# Wapbox related
group = wapbox
bearerbox-host = localhost
log-file = "/tmp/wapbox.log"
log-level = 0
access-log = "/tmp/wapaccess.log"
syslog-level = none
map-url = "http://127.0.0.1/* http://127.0.0.1:8080/*"
http-interface-name = localhost
#wapbox-port = 13002
#udp-deny-ip = "*.*.*.*"
#udp-allow-ip = "127.0.0.1"
#wdp-interface-name = "*"

# PPG CORE SETUP, for defining the push request interface
group = ppg
ppg-url = /cgi-bin/sendsms
ppg-port = 8080
concurrent-pushes = 100
users = 1024
trusted-pi = true
#ppg-allow-ip = 127.0.0.1
ppg-allow-ip = "*.*.*.*"
service-name = wap
default-smsc = http

#TEST PAP PROTOCOL
#group = test-ppg
#retries = 2
#pi-ssl = yes

#group = configuration
#push-url = https://localhost:8080/etc/kannel.conf
#pap-file = /usr/local/gateway-1.4.1/test/push.control
#content-file = /etc/kannel/si.txt
#content-file = /usr/local/gateway-1.4.1/test/push.content
#username = tester
#password = foobar

# SMSC CONNECTIONS - GLOBAL FIELDS
#group = smsc
#smsc = 
#smsc-id = ID
#denied-smsc-id = "X;Y"
#allowed-smsc-id = "Z"
#preferred-smsc-id = "W"
#allowed-prefix = "040;050"
#denied-prefix = "060;070"
#alt-charset = 


# SMSC Nokia CIMD2
#group = smsc
#smsc = cimd2
#host = 
#port = 
#smsc-username =
#smsc-password =
#keepalive = 
#sender-prefix =


# SMSC EMI
#group = smsc
#smsc = emi2 
#smsc = emi_ip to use the old implementation
#host =
#port =
#smsc-username =
#smsc-password =
#device = /dev/
#phone = 
#our-port =
#receive-port =
#connect-allow-ip =
#keepalive = 
#flow-control =


# SMSC SMPP
#group = smsc
#smsc = smpp
#host = 127.0.0.1
#port = 0
#receive-port =
#smsc-username = ""
#smsc-password = ""
#system-type = "SMS
#interface-version = 3.4
#connect-allow-ip = "*.*.*.*"
#keepalive = 50
#address-range =


# SMSC SEMA
#group = smsc
#smsc = sema
#device = /dev/tty0
#smsc_nua = (X121 smsc address)
#home_nua = (x121 radio pad address)
#wait_report = 0/1 (0 means false, 1 means true)


# SMSC OIS
#group = smsc
#smsc = ois
#host = 103.102.101.100
#port = 10000
#receive-port = 10000
#ois-debug-level = 0


# SMSC GSM
group = smsc
smsc = at
#host = localhost
#port = 13013
#smsc-id = smsserver
modemtype = wavecom
device = /dev/ttyS0
speed = 9600
#pin = 2345
#validityperiod = 167


# SMSC Fake
#group = smsc
#smsc = fake
#host = 192.168.1.126
#port = 10000
#connect-allow-ip = "*.*.*.*"


# SMSC HTTP
group = smsc
smsc = http
system-type = kannel
smsc-username = tester
smsc-password = foobar
port = 13015
connect-allow-ip = "*.*.*.*"
#send-url = "http://10.10.2.125:80/test.html"
send-url = "http://localhost:13015/cgi-bin/sendsms"


# SMSBOX SETUP

group = smsbox
bearerbox-host = localhost
sendsms-port = 13013
sendsms-chars = "0123456789+"
global-sender = 13013
log-file = "/var/log/kannel/smsbox.log"
log-level = 0
access-log = "/var/log/kannel/access.log"
sendsms-url = /cgi-bin/sendsms
#white-list =
#black-list =
#reply-couldnotfetch = 
#reply-couldnotrepresent = 
#reply-requestfailed =
#reply-emptymessage = 


# SEND-SMS USERS

group = sendsms-user
username = tester
password = foobar
#user-deny-ip = ""
user-allow-ip = "*.*.*.*"
max-messages = 3
concatenation = true

group = sendsms-user
username = playsms
password = pwd
#user-deny-ip = ""
#user-allow-ip = ""

# this sender is for Kannel relay testing (http_smsc)

group = sendsms-user
username = kannel
password = rL4y
user-deny-ip = "*.*.*.*"
user-allow-ip = "127.0.0.1"
#name = service_kannel
#forced-smsc = ID
#default-smsc = ID
#faked-sended =
#max-messages = 1
#concatenation = 1
#split-chars = 
#split-suffix = 
#omit-empty = 
#header =
#footer =
#allowed-prefix =
#denied-prefix =
#white-list =
#black-list =

# PPG USER SETUP, for authorizing a specific push user

group = wap-push-user
ppg-username = tester
ppg-password = foobar
allow-ip = "*.*.*.*"
allowed-prefix = +221
default-smsc = http


# SMS SERVICES

#group = sms-service
#name = nothing
#keyword = nop
#aliases = "noppy;niente"
#text = "You asked nothing and I did it!"
#get-url = "http://"
#post-url = "http://"
#file = "/tmp/"
#accepted-smsc = ID
#allowed-prefix = 
#denied-prefix = 
#catch-all = false
#send-sender = false
#strip-keyword = false
#faked-sender = 
#max-messages = 1
#accept-x-kannel-headers = false
#assume-plain-text = false
#concatenation = false
#split-chars = 
#split-suffix = "+"
#omit-empty = true
#header =
#footer =
#prefix = 
#suffix =
#white-list =
#black-list =


# SMS SERVICE GET-URL EXAMPLE
#group = sms-service
#keyword = relay
#get-url = "http://localhost/service?phone=%p&text=%r&binary=%b&smsc=$i&time=%t


# SMS SERVICE black-list
#group = sms-service
#keyword = black-list
#text = "You are not alowed to use this service, Go away!"


# SMS SERVICE Default
# there should be default always
group = sms-service
keyword = default
text = "No service specified"

group = sms-service
keyword = ok
#get-url = "http://%S"
text = "kannel fonctionne"

group = sms-service
keyword = wap
name = "wap"
post-url = "http://127.0.0.1/cgi-bin/sendsms?sender=%p&to=%P&text=%k%s%r"
accept-x-kannel-headers = true
max-messages = 3
concatenation = true
accepted-smsc = "at;http"

group = sms-service
keyword = page
post-url = "http://127.0.0.1/index.php"
concatenation = true
